Package com.trilead.ssh2.signature

# Class RSASHA1Verify

java.lang.Object
com.trilead.ssh2.signature.RSASHA1Verify

public class RSASHA1Verify extends Object
RSASHA1Verify.

## Constructor Summary

Constructors
Constructor
Description
`RSASHA1Verify()`

## Method Summary

Modifier and Type
Method
Description
`static RSAPublicKey`
`decodeSSHRSAPublicKey(byte[] key)`
`static RSASignature`
`decodeSSHRSASignature(byte[] sig)`
`static byte[]`
`encodeSSHRSAPublicKey(RSAPublicKey pk)`
`static byte[]`
`encodeSSHRSASignature(RSASignature sig)`
`static RSASignature`
`generateSignature(byte[] message, RSAPrivateKey pk)`
`static boolean`
`verifySignature(byte[] message, RSASignature ds, RSAPublicKey dpk)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RSASHA1Verify

public RSASHA1Verify()

## Method Details

### decodeSSHRSAPublicKey

public static RSAPublicKey decodeSSHRSAPublicKey(byte[] key) throws IOException

Throws:
  `IOException`

### encodeSSHRSAPublicKey

public static byte[] encodeSSHRSAPublicKey(RSAPublicKey pk) throws IOException

Throws:
  `IOException`

### decodeSSHRSASignature

public static RSASignature decodeSSHRSASignature(byte[] sig) throws IOException

Throws:
  `IOException`

### encodeSSHRSASignature

public static byte[] encodeSSHRSASignature(RSASignature sig) throws IOException

Throws:
  `IOException`

### generateSignature

public static RSASignature generateSignature(byte[] message, RSAPrivateKey pk) throws IOException

Throws:
  `IOException`

### verifySignature

public static boolean verifySignature(byte[] message, RSASignature ds, RSAPublicKey dpk) throws IOException

Throws:
  `IOException`